Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface ILaunchesListener

All Known Subinterfaces:
  ILaunchesListener2

public interface ILaunchesListener

A launches listener is notified of launches as they are added and removed from the launch manager. Also, when a process or debug target is added to a launch, listeners are notified of a change.

This interface is analagous to `ILaunchListerner`, except notifications are batched to include more than one launch object when possible.

Clients may implement this interface.

Since:
  2.1
See Also:
  `ILaunch`, `ILaunchManager`

Method Summary
`void` | `launchesAdded(ILaunch[] launches)` Notifies this listener that the specified launches have been added.
`void` | `launchesChanged(ILaunch[] launches)` Notifies this listener that the specified launches have changed.
`void` | `launchesRemoved(ILaunch[] launches)` Notifies this listener that the specified launches have been removed.

Method Detail

### launchesRemoved

    public void launchesRemoved(ILaunch[] launches)

  Notifies this listener that the specified launches have been removed.

  Parameters:
    `launches` - the removed launch objects

### launchesAdded

    public void launchesAdded(ILaunch[] launches)

  Notifies this listener that the specified launches have been added.

  Parameters:
    `launches` - the newly added launch objects

### launchesChanged

    public void launchesChanged(ILaunch[] launches)

  Notifies this listener that the specified launches have changed. For example, a process or debug target has been added to a launch.

  Parameters:
    `launches` - the changed launch object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.